Duplicate an event type
curl --request POST \
--url https://api.hostreach.io/v1/public/v1/scheduling/event-types/{id}/duplicate \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"newName": "Property Tour – EN",
"newSlug": "property-tour-en",
"targetAgentUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.hostreach.io/v1/public/v1/scheduling/event-types/{id}/duplicate"
payload = {
"newName": "Property Tour – EN",
"newSlug": "property-tour-en",
"targetAgentUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
newName: 'Property Tour – EN',
newSlug: 'property-tour-en',
targetAgentUserId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.hostreach.io/v1/public/v1/scheduling/event-types/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Scheduling
Duplicate an event type
POST
/
public
/
v1
/
scheduling
/
event-types
/
{id}
/
duplicate
Duplicate an event type
Authorizations
API key (hr_live_... or hr_test_...). Generate from Settings › Workspace › Acceso API.
Path Parameters
Body
application/json
Display name for the duplicated event type. Defaults to "Copy of ".
Example:
"Property Tour – EN"
URL slug for the duplicate. Must be unique. Defaults to auto-generated slug.
Example:
"property-tour-en"
UUID of the agent who will own the duplicate. Defaults to the original owner.
Response
201 - undefined
Was this page helpful?
⌘I